package org.example.mybatisplus.mapper.auto;

import org.example.mybatisplus.model.auto.CmsEntRiskFinancialTax;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 企业财税合规风险信息表Mapper接口
 *
 * @author 各类开发联系微信：qiubbstop     fuce
 * @date 2025-03-09 23:36:24
 */
public interface CmsEntRiskFinancialTaxMapper extends BaseMapper<CmsEntRiskFinancialTax>
{
                                                                                                                                                                                                                                                                                                                
    /**
     * 查询企业财税合规风险信息表列表
     *
     * @param cmsEntRiskFinancialTax
     * @return CmsEntRiskFinancialTax集合
     */
    public List<CmsEntRiskFinancialTax> selectCmsEntRiskFinancialTaxList(CmsEntRiskFinancialTax cmsEntRiskFinancialTax);
}