package org.example.mybatisplus.model.auto;

import java.io.Serializable;

import org.springframework.data.mongodb.core.mapping.MongoId;

import lombok.AccessLevel;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author jimmy
 * @version 1.0.0
 * @date 1/4/24 22:26
 */
@Data
@NoArgsConstructor(access = AccessLevel.NONE)
public abstract class EasierMongoEntity implements Serializable {

    private static final long serialVersionUID = 3485834548943262185L;

    @MongoId
    protected String mongoId;
}
