package org.example.mybatisplus.module;

import lombok.Data;
import org.example.mybatisplus.module.vo.*;

import java.util.List;

/**
 * 公共记录类
 */
@Data
public class PublicRecord {
    private List<DishonestPerson> dishonestPersons;  // 失信被执行人（3.1）
    private List<BusinessAbnormal> businessAbnormals;// 经营异常（3.2）
    private List<PenaltyRecord> penaltyRecords;      // 行政处罚记录（3.3）
    private List<TaxPenalty> taxPenalties;           // 税务处罚记录（3.4）
    private List<SevereViolation> severeViolations;  // 严重违法记录（3.5）
    private PublicRecordScore publicRecordScore;     // 公共记录评分及建议（3.6）
}



