package org.example.mybatisplus.module.vo;

import lombok.Data;

// 重要财务数据子类
@Data
/**
 * 重要财务数据（按年份存储）
 */
public class FinancialData {
    private Integer year;                   // 年份（如2022、2023、2024）
    private String donationIncome;       // 捐赠收入（单位：元）
    private String publicExpense;        // 公益事业支出（单位：元）
    private String totalAssets;          // 总资产（单位：元）
    private String netAssets;            // 净资产（单位：元）
    private String totalIncome;          // 总收入（单位：元）
    private String investmentIncome;     // 投资收益（单位：元）
    private String governmentGrants;     // 政府补助收入（单位：元）
    private String serviceIncome;        // 服务收入（单位：元）
    private String totalExpense;         // 总支出（单位：元）
    private String salaryExpense;        // 工资福利支出（单位：元）
    private String adminExpense;         // 行政办公支出（单位：元）
    private String activityCost;         // 业务活动成本（单位：元）
    private String managementExpense;    // 管理费用（单位：元）
    private String fundraisingExpense;   // 筹资费用（单位：元）
    private String lastYearFundBalance;  // 上年基金余额（单位：元）

}
