package org.example.mybatisplus.module.vo;

import lombok.Data;

import java.util.Map;

/**
 * 财务信息评分及建议
 */
@Data
public class FinancialScore {
    private Double totalScore;               // 财务信息总分（如10分）
    private String riskSummary;             // 风险综述（如"发展能力--总收入增长率及公益支出增长率较低"）
    private String suggestion;              // 建议（如需要业务补充）

    // 嵌套评分详情（可选，根据需求扩展）
    private Map<String, Double> categoryScores; // 分类评分（如"运营能力": 6.5, "发展能力": 3.5）

}
