package org.example.mybatisplus.mapper.auto;

import org.example.mybatisplus.model.auto.CmsEntRiskFinancialTaxAuth;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 企业财税合规风险信息授权Mapper接口
 *
 * @author 各类开发联系微信：qiubbstop     fuce
 * @date 2025-03-09 23:36:31
 */
public interface CmsEntRiskFinancialTaxAuthMapper extends BaseMapper<CmsEntRiskFinancialTaxAuth>
{
                                                                                                                                                                                                                                        
    /**
     * 查询企业财税合规风险信息授权列表
     *
     * @param cmsEntRiskFinancialTaxAuth
     * @return CmsEntRiskFinancialTaxAuth集合
     */
    public List<CmsEntRiskFinancialTaxAuth> selectCmsEntRiskFinancialTaxAuthList(CmsEntRiskFinancialTaxAuth cmsEntRiskFinancialTaxAuth);
}