package org.example.mybatisplus.mapper.auto;

import org.example.mybatisplus.model.auto.CmsEntRiskInfoCktRule;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 企业风险信息校验规则Mapper接口
 *
 * @author 各类开发联系微信：qiubbstop     fuce
 * @date 2025-03-09 23:36:33
 */
public interface CmsEntRiskInfoCktRuleMapper extends BaseMapper<CmsEntRiskInfoCktRule>
{
                                                                                                                
    /**
     * 查询企业风险信息校验规则列表
     *
     * @param cmsEntRiskInfoCktRule
     * @return CmsEntRiskInfoCktRule集合
     */
    public List<CmsEntRiskInfoCktRule> selectCmsEntRiskInfoCktRuleList(CmsEntRiskInfoCktRule cmsEntRiskInfoCktRule);
}