package org.example.mybatisplus.module;

import java.util.List;

import org.example.mybatisplus.module.vo.CheckItemScore;

import lombok.Data;

/**
 * 审核结果类
 */
@Data
public class AuditResult {
    private String score;          // ${审核结果:评分}
    private String opinion;        // ${审核结果:审核意见}
    private String serviceProviderName; // ${审核结果:服务商名称}
    private String auditDate;      // ${审核结果:审核日期}
    private String reportVersion;  // ${审核结果:报告版本}
    private String riskAlert;   // ${风险概述:风险提示}
    private String suggestion;  // ${风险概述:建议}
    // 基础信息评分
    // private String donationIncomeScale;  // ${得分情况:基础信息:基金会捐赠收入规模}
    // private String netAssetRating;       // ${得分情况:基础信息:净资产评级}
    // private String operationYears;      // ${得分情况:基础信息:运营年限}
    // private String mocaRating;           // ${得分情况:基础信息:MOCA评级}

    // // 公共记录评分
    // private String publicRecordScore;    // ${得分情况:公共记录:公共记录评分}

    // // 财务信息评分
    // private String publicFundExpense;    // ${得分情况:财务信息:运营能力-私募基金-公益支出}
    // private String managementExpense;    // ${得分情况:财务信息:运营能力-私募基金-管理费用}
    // private String totalIncomeGrowth;    // ${得分情况:财务信息:发展能力-总收入增长率}
    // private String publicExpenseGrowth;  // ${得分情况:财务信息:发展能力-公益支出增长率}

    // // 项目情况评分
    // private String projectScore;         // ${得分情况:项目情况:项目情况评分}

    private List<CheckItemScore> checkItemScores;
}
