package org.example.mybatisplus.module;

import lombok.Data;
import org.example.mybatisplus.module.vo.FinancialData;
import org.example.mybatisplus.module.vo.FinancialIndicator;
import org.example.mybatisplus.module.vo.FinancialScore;

import java.util.List;

/**
 * 财务信息类
 */
@Data
public class FinancialInfo {
    private Boolean showable;  // 是否显示区域
    private List<FinancialData> financialData;    // 重要财务数据（4.1）
    private List<FinancialIndicator> indicators;  // 财务指标（4.2）
    private FinancialScore financialScore;        // 财务信息评分及建议（4.3）
}
