package org.example.mybatisplus.module;

import lombok.Data;
import org.example.mybatisplus.module.vo.Attachment;
import org.example.mybatisplus.module.vo.ServiceProviderInfo;

import java.util.List;

/**
 * 顶层报告类
 */
@Data
public class ServiceProviderAuditReport {
    private ServiceProviderInfo serviceProviderInfo; // 服务商信息（如名称、类型）
    private AuditResult auditResult;                 // 审核结果
    private BasicInfo basicInfo;                     // 基本信息
    private PublicRecord publicRecord;              // 公共记录
    private FinancialInfo financialInfo;             // 财务信息
    private ProjectInfo projectInfo;                 // 项目情况
    private Attachment interestConflict;             // 利益冲突 
    private List<Attachment> attachments;            // 附件列表
}

